"use strict";
/**
 * Copyright (c) 2018 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author David Sehnal <david.sehnal@gmail.com>
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PluginBehaviors = exports.BuiltInPluginBehaviors = void 0;
var tslib_1 = require("tslib");
(0, tslib_1.__exportStar)(require("./behavior/behavior"), exports);
var StaticState = (0, tslib_1.__importStar)(require("./behavior/static/state"));
var StaticRepresentation = (0, tslib_1.__importStar)(require("./behavior/static/representation"));
var StaticCamera = (0, tslib_1.__importStar)(require("./behavior/static/camera"));
var StaticMisc = (0, tslib_1.__importStar)(require("./behavior/static/misc"));
var DynamicRepresentation = (0, tslib_1.__importStar)(require("./behavior/dynamic/representation"));
var DynamicCamera = (0, tslib_1.__importStar)(require("./behavior/dynamic/camera"));
var DynamicCustomProps = (0, tslib_1.__importStar)(require("./behavior/dynamic/custom-props"));
exports.BuiltInPluginBehaviors = {
    State: StaticState,
    Representation: StaticRepresentation,
    Camera: StaticCamera,
    Misc: StaticMisc
};
exports.PluginBehaviors = {
    Representation: DynamicRepresentation,
    Camera: DynamicCamera,
    CustomProps: DynamicCustomProps
};
//# sourceMappingURL=behavior.js.map